package com.bsis.peuplement.model;

import org.springframework.data.annotation.Id;
import org.springframework.stereotype.Repository;


public class DossierDistance {

    private String id;
    private String dossierState;
    private String dossierId ;
    private String adresse;
    private String siretDossier;
    private String xStorAdr;
    private String yStorAdr;
    private String redevableId ;
    private String siretRedevable;
    private String xFlatFile;
    private String yFlatFile;
    private String distance;

    //.................................
    // constructor
    //.................................


    public DossierDistance(String id, String dossierState,String dossierId, String adresse, String siretDossier, String xStorAdr, String yStorAdr, String redevableId, String siretRedevable, String xFlatFile, String yFlatFile, String distance) {
        this.id = id;
        this.dossierState = dossierState;
        this.dossierId = dossierId;
        this.adresse = adresse;
        this.siretDossier = siretDossier;
        this.xStorAdr = xStorAdr;
        this.yStorAdr = yStorAdr;
        this.redevableId = redevableId;
        this.siretRedevable = siretRedevable;
        this.xFlatFile = xFlatFile;
        this.yFlatFile = yFlatFile;
        this.distance = distance;
    }
    //..........................................................


    public DossierDistance(String dossierId, String dossierState, String adresse, String siretDossier, String xStorAdr, String yStorAdr, String redevableId, String siretRedevable, String xFlatFile, String yFlatFile, String distance) {
        this.dossierId = dossierId;
        this.dossierState = dossierState;
        this.adresse = adresse;
        this.siretDossier = siretDossier;
        this.xStorAdr = xStorAdr;
        this.yStorAdr = yStorAdr;
        this.redevableId = redevableId;
        this.siretRedevable = siretRedevable;
        this.xFlatFile = xFlatFile;
        this.yFlatFile = yFlatFile;
        this.distance = distance;
    }

    //................................................
    public DossierDistance()
    {
    }
    //................................................
    // Getters
    //................................................
    public String getId()
   {
       return id;
   }
    public String getDossierState()
    {
        return dossierState;
    }

    public String getDossierId() {
        return dossierId;
    }

    public String getAdresse() {
        return adresse;
    }

    public String getSiretDossier() {
        return siretDossier;
    }

    public String getRedevableId() {
        return redevableId;
    }

    public String getSiretRedevable() {
        return siretRedevable;
    }

    public String getDistance() {
        return distance;
    }

    public String getxStorAdr() {
        return xStorAdr;
    }

    public String getyStorAdr() {
        return yStorAdr;
    }

    public String getxFlatFile() {
        return xFlatFile;
    }

    public String getyFlatFile() {
        return yFlatFile;
    }
    //............................................
    // Setters
    //.............................................

    public void setId(String id) {
        this.id = id;
    }
    public void setDossierState(String dossierState) {
        this.dossierState = dossierState;
    }

    public void setDossierId(String dossierId) {
        this.dossierId = dossierId;
    }

    public void setAdresse(String adresse) {
        this.adresse = adresse;
    }

    public void setSiretDossier(String siretDossier) {
        this.siretDossier = siretDossier;
    }

    public void setRedevableId(String redevableId) {
        this.redevableId = redevableId;
    }

    public void setSiretRedevable(String siretRedevable) {
        this.siretRedevable = siretRedevable;
    }

    public void setDistance(String distance) {
        this.distance = distance;
    }

    public void setxStorAdr(String xStorAdr) {
        this.xStorAdr = xStorAdr;
    }

    public void setyStorAdr(String yStorAdr) {
        this.yStorAdr = yStorAdr;
    }

    public void setxFlatFile(String xFlatFile) {
        this.xFlatFile = xFlatFile;
    }

    public void setyFlatFile(String yFlatFile) {
        this.yFlatFile = yFlatFile;
    }
    //............................................
    // ToString
    //...........................................

    @Override
    public String toString() {
        return  "State[" + dossierState + "]"+'\'' +
//                "Id:'" + id + '\'' +
                "dossierId:'" + dossierId + '\'' +
                ", siretDossier='" + siretDossier + '\'' +
                ", distance='" + distance + '\'' +
                ", adresse='" + adresse + '\'' +
                ", xStorAdr='" + xStorAdr + '\'' +
                ", yStorAdr='" + yStorAdr + '\'' +
                ", redevableId='" + redevableId + '\'' +

                ", xFlatFile='" + xFlatFile + '\'' +
                ", yFlatFile='" + yFlatFile + '\'' +
                ", siretRedevable='" + siretRedevable + '\'' +
                '}';
    }



    //.......................................................

}
