package com.bsis.peuplement.service;

import com.bsis.peuplement.model.Dossier;
import com.bsis.peuplement.model.Redevable;
import com.bsis.peuplement.repository.RedevableRepository;
import com.bsis.peuplement.tasks.Tasks;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.core.io.ClassPathResource;
import org.springframework.stereotype.Service;

import java.io.IOException;
import java.util.List;
import java.util.Optional;

@Service
public class RedevableService {
    @Autowired
    private RedevableRepository redevableRepository;
    //...................................................................
    //                              Read
    //...................................................................
    public List<Redevable> getAll()
    {
        return redevableRepository.findAll();
    }
    //................................
    public Optional<Redevable> getById(Long id)
    {
        return  redevableRepository.findById(id);
    }
    //...................................................................
    public long count() {
        return redevableRepository.count();
    }
    //...................................................................
    //                            Update
    //...................................................................
    public Redevable update(Redevable redevable){
        return	redevableRepository.save(redevable);
    }

 /*   String platFile="C:/WorkSpace/Projects/Savoi/csv/platFile.csv";



    //...................................................................
    //...................................................................
    // Recherche
    public String[] xyFichierPlat(Dossier dossier, String siret) {
        String redevableId = dossier.getRedevableId();

        Redevable redevable = redevableRepository.findRedevableByRedevableId(redevableId);
        //System.out.println(redevable);
        siret = redevable.getCodeSiret();
        if (siret == null)
        {
            siret = "00000000000000";
        }
       // System.out.println("......>"+siret);

//        String flatFile= String.valueOf(getClass().getClassLoader().getResource("FilteredFile.csv"));
        String [] xy= Tasks.crdnXYLambert93FichierPlat(siret,platFile);
        return xy;
    }
*/

}
